package org.dyncle;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public class CygwinExecution {

	public static final String CYGWIN_HOME = "C:/usr/local/cygwin";

	public List<String> execute(List<String> list) throws Exception {
		List<String> output = new ArrayList<String>();

		// Home directory: Home directory set in Cygwin 
		// iex. /cygdrive/c/nakagawa/01UEC/homej
		String os = System.getProperty("os.name");
		if (os != null && os.startsWith("Windows")) {
			list.add(0, CYGWIN_HOME + "/bin/bash.exe");
			list.add(1, "--login");
//			 list.add(2, "-x");
		}

		ProcessBuilder pb = new ProcessBuilder(list);
		pb.redirectErrorStream(true);

		Process p = pb.start();

		InputStream is = p.getInputStream();	//Standard output
		output = printInputStream(is);

		p.waitFor();
		
		return output;
//		return p.exitValue();
	}
	
	public List<String> printInputStream(InputStream is) throws IOException {
		List<String> output = new ArrayList<String>();
		
		BufferedReader br = new BufferedReader(new InputStreamReader(is));
		for (;;) {
			String line = br.readLine();
			if (line == null) break;
			output.add(line);
//			System.out.println(line);
		}
		
		return output;
	}
}
