package org.dyncle;


/**
 * Plan
 * @author h-nakagawa
 *
 */
public class Plan{
	private String planName;
	private String arg1;
	private String arg2;

	public Plan(String aName){
		this.planName = aName;
	}

	public Plan(String aName, String aArg1, String aArg2){
		this(aName);
		this.arg1 = aArg1;
		this.arg2 = aArg2;
	}

	public String getPlanName() {
		return planName;
	}

	public void setPlanName(String planName) {
		this.planName = planName;
	}

	public String getArg1() {
		return arg1;
	}

	public void setArg1(String arg1) {
		this.arg1 = arg1;
	}

	public String getArg2() {
		return arg2;
	}

	public void setArg2(String arg2) {
		this.arg2 = arg2;
	}
	
	//////////////////////////////////// printout  ////////////////////////////////////
	public void printPlan(){
		System.out.print("\tPlan name: "+planName);
		if(arg1!=null){
			System.out.print("\tArg1: "+arg1);
			if(arg2!=null){
				System.out.print("\tArg2: "+arg2);
			}
		}
		System.out.println();
	}

}
