package org.nak.cleaning.experiment;

import java.awt.Point;
import java.util.HashMap;

import org.nak.cleaning.map.FieldMap;
import org.nak.cleaning.object.ChargeStation;
import org.nak.cleaning.object.Element;
import org.nak.cleaning.object.EmptyCan;
import org.nak.cleaning.object.Leaves;
import org.nak.cleaning.object.Litter;
import org.nak.cleaning.object.PileOfJunk;
import org.nak.cleaning.object.Sand;


public class Map0401 extends FieldMap {

	public Map0401(){
		super();
		//For PerAda EXP 
		//including station and PileOfJunk 
		_WIDTH_ = 5;
		_DEPTH_ = 5;
		map = new HashMap<Point,Element>();
		map.put(new Point(2,0), new Litter());
		map.put(new Point(2,3), new Litter());
		map.put(new Point(0,1), new Sand());
		map.put(new Point(1,1), new Leaves());
		map.put(new Point(1,4), new PileOfJunk());
		map.put(new Point(3,3), new EmptyCan());
		map.put(new Point(4,2), new EmptyCan());
		map.put(new Point(2,1), new ChargeStation());

		//robot
		initRobotPoint = new Point(0,0);
	}
}
