package robot.de;

import java.awt.Point;

/**
 * Event class for constructing facts for planning
 * 
 * @author h-nakagawa
 * @since 2010.12.22
 */
public class RobotEvent {
	private String type;
	private String action;
	private String object;
	private Point location;
	
	public RobotEvent(String type, String action, String obj, Point location){
		super();
		this.type = type;
		this.action = action;
		this.object = obj;
		this.location = location;
	}
	
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getAction() {
		return action;
	}
	public void setAction(String action) {
		this.action = action;
	}
	public String getObject() {
		return object;
	}
	public void setObject(String object) {
		this.object = object;
	}
	public Point getLocation() {
		return location;
	}
	public void setLocation(Point location) {
		this.location = location;
	} 


}
