package org.dyncle;





/**
 * Abstract class for Act type component.
 * @version 1: No difference from its super class
 * @author Hiroyuki NAKAGAWA
 */
public abstract class ATypeComponent extends ComponentBehaviour {


	/**
     * This constructor sets the owner agent for this behavior.
     * @param a The agent this behavior belongs to.
     */
	public ATypeComponent(SASystem a) {
		super(a);
		compType = ComponentType.ACT;
	}

}
