package org.dyncle;

import java.io.File;
import java.lang.reflect.Constructor;
import java.net.URL;
import java.net.URLClassLoader;

public class CLLoader {
	ClassLoader loader;
	
	public CLLoader(String filename) {
		  try {
			loader = this.load(filename);
		} catch (Exception e) {
			e.printStackTrace();
		}
	  }
	
	public ComponentBehaviour loadCL(String classname, SASystem sa){
		
		  //Temporarily store current class loader
	    ClassLoader current = Thread.currentThread().getContextClassLoader();

//	    ClassLoader loader = reloader.load("bin/unloaderTest/ver1");
	    Thread.currentThread().setContextClassLoader(loader);        // switch context class loader
	    System.out.println("switch context class loader");
//	    Object objv1 = loader.loadClass("unloaderTest.ver1.HelloWorldLogic").newInstance();
	    ComponentBehaviour cl=null;
		try {
//			objv1 = loader.loadClass(classname).newInstance();
			Class<?> clazz = loader.loadClass(classname);
			Class<?>[] paramClasses ={SASystem.class};
				Constructor<?> constructor = clazz.getConstructor(paramClasses);
			Object[] param = {sa};
			cl = (ComponentBehaviour)constructor.newInstance(param);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
//	    Method method = objv1.getClass().getMethod("getHello", new Class[0]);
	    
	    // getHello()
//	    Object msg = method.invoke(objv1, new Object[0]);
//	    log("answer from v1 is [" + msg.toString() + "]");


	    Thread.currentThread().setContextClassLoader(current);
	    return cl;
	  }

//	  private static final void log(String msg) {
//	    System.out.println("log: " + msg);
//	  }

	/**
	 * Terminates the class loader.
	 */
	public void remove(){
		loader = null;
	}
	
	  private URLClassLoader load(String filename) throws Exception {
		  File loaderFile = new File(filename);
		  System.out.println(loaderFile.getAbsolutePath());
		  URLClassLoader loader = new URLClassLoader(new URL[]{loaderFile.toURI().toURL()});
		  System.out.println("URL pass: "+loaderFile.toURI().toURL());
		  return loader;
	  }
	  
	
}
