package org.nak.cleaning.experiment;

import java.awt.Point;
import java.util.HashMap;

import org.nak.cleaning.map.FieldMap;
import org.nak.cleaning.object.ChargeStation;
import org.nak.cleaning.object.Element;
import org.nak.cleaning.object.Litter;
import org.nak.cleaning.object.PileOfJunk;


public class Map03 extends FieldMap {

	public Map03(){
		super();
		//arranged at an angle
		//including station and PileOfJunk 
		//(Robot first tried to wipe it but couldn't, 
		//  and finally cleaned it by picking up)
		_WIDTH_ = 3;
		_DEPTH_ = 3;
		map = new HashMap<Point,Element>();
		map.put(new Point(0,2), new Litter());
		map.put(new Point(1,1), new Litter());
		map.put(new Point(2,0), new PileOfJunk());
		map.put(new Point(1,0), new ChargeStation());

	}
}
