package org.nak.cleaning.experiment;

import java.awt.Point;
import java.util.HashMap;

import org.nak.cleaning.map.FieldMap;
import org.nak.cleaning.object.ChargeStation;
import org.nak.cleaning.object.DustBin;
import org.nak.cleaning.object.Element;
import org.nak.cleaning.object.EmptyCan;
import org.nak.cleaning.object.Leaves;
import org.nak.cleaning.object.Litter;
import org.nak.cleaning.object.Puddle;
import org.nak.cleaning.object.Sand;


public class SampleMap05Diff extends FieldMap {

	public SampleMap05Diff(){
		super();
		// improve the MAP22
		// shrink map into 6 * 6
		// add puddle and dust bin
		_WIDTH_ = 7;
		_DEPTH_ = 7;
		map = new HashMap<Point,Element>();
		map.put(new Point(0,1), new Sand());
		map.put(new Point(2,2), new Sand());
		map.put(new Point(6,3), new Sand());
		map.put(new Point(5,6), new Sand());

		map.put(new Point(1,4), new Leaves());
		map.put(new Point(2,6), new Leaves());

//		map.put(new Point(3,3), new PileOfJunk());
//		map.put(new Point(5,0), new PileOfJunk());
//		map.put(new Point(6,5), new PileOfJunk());

		map.put(new Point(3,4), new Litter());
		map.put(new Point(5,1), new Leaves());
//		map.put(new Point(6,5), new Leaves());

		map.put(new Point(1,0), new Litter());
		map.put(new Point(1,5), new Litter());
		map.put(new Point(4,2), new Litter());
		map.put(new Point(6,0), new Litter());

		map.put(new Point(2,5), new EmptyCan());
		map.put(new Point(3,1), new EmptyCan());
		map.put(new Point(5,5), new EmptyCan());

		
		map.put(new Point(2,3), new ChargeStation());
		map.put(new Point(5,0), new ChargeStation());

		//dut bin
		map.put(new Point(3,3), new DustBin());
		
		//puddle
		map.put(new Point(4,4), new Puddle());

		//robot
		initRobotPoint = new Point(0,6);

		
		//parameters of the robot
//		private static final int _MAX_BATTERY_ = 100;
//		public static final int _BATTERY_THRESHOLD_ = 30;
//		private static final int _POWER_FOR_MOVE_ = 4;
//		private static final int _POWER_FOR_SEARCH_ = 3;
//
//		private static final int _POWER_FOR_PICK_UP_ = 2;
//		private static final int _POWER_FOR_SWEEP_ = 2;

	}
}
