package org.nak.cleaning.map;

import java.awt.Point;
import java.util.HashMap;

import org.nak.cleaning.object.ChargeStation;
import org.nak.cleaning.object.Element;
import org.nak.cleaning.object.EmptyCan;
import org.nak.cleaning.object.Leaves;
import org.nak.cleaning.object.Litter;
import org.nak.cleaning.object.Sand;


public class SampleMap03 extends FieldMap {

	public SampleMap03(){
		super();
		//SampleMap03
		//a little complicated version
		_WIDTH_ = 5;
		_DEPTH_ = 5;
		map = new HashMap<Point,Element>();
		map.put(new Point(0,1), new Sand());
		map.put(new Point(0,4), new Leaves());
		map.put(new Point(1,1), new Leaves());
		map.put(new Point(2,0), new Litter());
		map.put(new Point(2,1), new ChargeStation());
		map.put(new Point(2,3), new Litter());
		map.put(new Point(3,3), new EmptyCan());
		map.put(new Point(4,0), new Litter());
		map.put(new Point(4,2), new EmptyCan());
		map.put(new Point(4,4), new Sand());
		
		//robot
		initRobotPoint = new Point(0,2);

	}
}
