package org.nak.cleaning.object;


/**
 * Super class of objects in the map
 * @author Hiroyuki Nakagawa
 *
 */
public abstract class Element {
	public ElementType type;
	public boolean isAbleToSweep;
	public boolean isAbleToWipe; //whether it can be wipe
	public boolean isLiftable;
	public Appearance appearance;
	public int volume;	//for calculating load amount

	
	public Element(){
		type = ElementType.OTHER;
		isAbleToSweep = false;
		isAbleToWipe = false;
		isLiftable = false;
	}
}
